Aller au contenu

x13

Membres
  • Compteur de contenus

    96
  • Inscription

  • Dernière visite

Réputation sur la communauté

0 Neutral

À propos de x13

  • Rang
    ceinture verte

Profile Information

  • Location
    Montmagny, Québec
  1. x13

    pente

    Voiçi un lisp qui va peut-être t'aider, ;; Pipe Text Marker by Lee McDonnell 13.04.2009 ;;; Updated 30.07.2009 (Lee McDonnell) (defun c:pipetxt (/ *error* CANG COBJ CPT DIAM DOC GR LANG LENT LEPT LLEN LMID LSLP LSPT MANHOL MSG OSPT OVAR PT SCL SPC TBOX TOBJ TSTR TSZE TWID VLST WBSE XDIS) (vl-load-com) (defun *error* (msg) (if doc (vla-EndUndoMark doc)) (if ovar (mapcar 'setvar vlst ovar)) (and tObj (not (vlax-erased-p tObj)) (vla-delete tObj)) (if (not (wcmatch (strcase msg) "*BREAK,*CANCE
  2. x13

    RTEXT DISPARU

    Bonjour, Sur la bordure de la cartouche de mes gabarits j'ai du Rtext et il n'apparait plus. Je retrouve plutôt un rectangle avec un X à l'intérieur. Lorsque je le sélectione et va voir les propriétés, il est dit que c'est un Acad_Proxy_entity. Qu'est-ce que cela signifie et comment rétablir le Rtext. Merçi de votre aide.
  3. x13

    planning GANTT

    L'origine du lisp , http://www.gregmacg.com/Autolisp.html :)
  4. x13

    planning GANTT

    À part MSproject il y a http://sourceforge.net/projects/ganttproject/ Pour le lisp celui-ci peut sûrement être amélioré. ; ; DDGANTT.LSP 2.0 © Greg MacGeorge, May 2000 ; (defun wline () (setq v 5) (repeat 4 (setq xwk (+ 8.75 (* v incr) premx)) (setq xwkpt (list xwk liney)) (setq pt1 (polar xwkpt 0 0)) (setq pt2 (polar pt1 1.5707963 0.25)) (command "line") (command pt1) (command pt2) (command "") (setq txtwk (list xwk wtexty)) (command "text")
  5. x13

    Transformer bloc en wbloc

    Voiçi celui que j'utilise. ;| WBL.lsp Bob Abernethy, dba/CADesigner ©1998 Create a wblocked dwg without keeping block in the original dwg Predefined insertion point set to 0,0,0 can be setup by removing comma on line below ;COMMENT2 and placing a comma in front of line below ;COMMENT1 Directory set to D:\BLDIR (@ COMMENT 0) - Directory MUST BE predefined change directory pointed to in line below COMMENT0 to point to the directory of your choice Wblock name given WILL overwrite if SAME filename is in directory |; ;COMMENT0 (setq bldir "D:\\bldir\\") (defun ERR
  6. Va à la rubrique chargement membre et il y a un RTEXT pour ce que tu veux. ;)
  7. http://www.ploetzl.at/tools/autocad/fr_2_02.htm :)
  8. x13

    Installation Objetdcl2004

    Merçi à vous deux. Pour le fichier d'aide c'était déja fait. Pour ce qui est des fichier DCL je sais que c'est le lisp qui le charge dans Autocad. Ma question était, si l'on peut démarrer ObjetDCL directement à partir d'autocad. Je crois que non, il ne semble pas y avoir de lien direct entre AutoCad et le programme ObjetDCL. :)
  9. Est-ce que l'un d'entre vous a réussi à installer objet dcl2004 correctement. J'ai téléchargé le Objetdcl full installation pour la 2004, décompressé le tout et chargé le objetdcl2004.arx dans le Startup suite et ai référence le chemin dans Autocad, mais aucun icône n'apparait dans Autocad. À partir du répertoire de ObjetDCL je peux ouvrir le fichier objetDcl MFC application ou créer un raccourci de ce fichier sur le bureau et l'ouvrir à partir de ce raccourci. Est-ce qu'il y a un lien directement à partir d'autocad ou si c'est la seul façon de procéder.
  10. x13

    Coté la longueur d\'un arc

    Bonjour Gile, Pour moi il serait intéressant que la prochaine version fonctionne sur Autocad 200 et 2004. Merçi d'avance
  11. x13

    Coté la longueur d\'un arc

    Merçi Bonuscad pour tes précisions. Comme je suis très débutant en lisp, quelles lignes de code je doit supprimer du lisp de Gile et entre quelles lignes j'insère ton code.
  12. x13

    Coté la longueur d\'un arc

    Cela ne fonctionne pas dasns l'espace papier; BAD ARGUMENT TYPE: LENTITYP NIL
  13. x13

    Coté la longueur d\'un arc

    Merçi Gile pour ton aide. Le programme est très consis, je vais étudié le code de plus près en fin de semaine. Cela fonctionne bien pour les degrés et on peut même changer l'orientation du texte, il faut au préalable spécifié A pour angle si non on l'erreur _U menu items group command: bad argument type = lentityp nil Pour ce qui est de l'option texte cela ne semble pas fonctionner; la ligne de cote en courbe est bien représentée, par contre je n'ai pas la cote automatiquement et/ou le texte inscrit à la ligne de commande, comme résultat j'ai plutôt l'inscription _U Alors peut-être que
  14. x13

    Lisps de Patrick_35

    Un gros Merçi de partager ton travail et tes connaissances, cela est grandement apprécié. François.
  15. Comment faites vous pour coté la longueur d'un arc dans l'espace papier. J'ai bien quelques lisp qui le font dans l'espace objet dont en voiçi 3 . ;| ArcDim.Lsp & RepDim ArcDim - Creates New Dimensions with Arc Length, Chord, Angle, LC, LA, CA, or CLA of a selected arc. RepDim - Replaces Existing Dimensions with Arc Length, Chord, Angle, LC, LA, CA, or CLA of a selected arc. Version 2.4 - by Tippit CADD Services Parts of arclen and arccor code taken from arcinfo.lsp by Robert McNeel & Assoc. 1990 ------------------------------------------------------------------------ -----
×
×
  • Créer...